Enternships Developer Documentation

REST BASED API

We are currently offering a simple API that allows developers to integrate Enternships listings into their applications.

Requesting Data

All requests are made against the following url: http://www.enternships.com/api/v1/

Data can be requested in either XML or JSON which is specified through the request URL.

A valid API key must be passed along with every request.

Response Types

Valid responses will always return with HTTP header code 200.

Invalid responses will be returned with any header code other than 200. There will often be an accompanying error message in the following format:

<error>
	<message>
		Invalid API key. Go to http://dev.enternships.com and follow the instructions there.
	</message>
</error>


Available Requests


1. Getting a complete list of the current active enternships

GET http://www.enternships.com/api/v1/enternships.xml?key=APP_KEY

Returns

<enternships>
	<enternship>
		<id>1</id>
		<title>Web developer at Enternships</title>
		<description>Description here</description>
		<skills>Writing, Programming</skills>
		<location>London</location>
		<category>Internet</category>
		<url>http://www.enternships.com/enternships/2099-web-developer-at-enternships</url>
		<application_end_date>2011-01-30</application_end_date>
		<placement_start_date>2011-02-01</placement_start_date>
		<published_at>2010-11-08 11:26:01 UTC</published_at>
		<company>
			<id>7259</id>
			<name>Enternships</name>
			<url>http://www.enternships.com/Enternships</url>
			<logo>http://www.enternships.com/path-to-logo.png</logo>
		</company>
	</enternship>
	...
</enternships>


2. Getting info on a particular enternship

GET http://www.enternships.com/api/v1/enternships/ENTERNSHIP_ID.xml?key=APP_KEY

Returns

<enternship>
	<id>1</id>
	<title>Web developer at Enternships</title>
	<description>Description here</description>
	<skills>Writing, Programming</skills>
	<location>London</location>
	<category>Internet</category>
	<url>http://www.enternships.com/enternships/2099-web-developer-at-enternships</url>
	<application_end_date>2011-01-30</application_end_date>
	<placement_start_date>2011-02-01</placement_start_date>
	<published_at>2010-11-08 11:26:01 UTC</published_at>
	<company>
		<id>7259</id>
		<name>Enternships</name>
		<url>http://www.enternships.com/Enternships</url>
		<logo>http://www.enternships.com/path-to-logo.png</logo>
	</company>
</enternship>